Skip to main content
Approvals

Get a list of approvals

This method requires the Approvals:Get permission to be associated with your role.

GET
/fm/approvals
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringquery

Optional Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
client_idstringquery

Optional Client Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
driver_idstringquery

Optional Driver Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
creator_user_idstringquery

Optional Creator User Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
supplier_idstringquery

Optional Supplier Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
supplier_franchise_vehicle_idstringquery

Optional Supplier Franchise Vehicle Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
client_group_idstringquery

Optional Client Group Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
supplier_group_idstringquery

Optional Supplier Group Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
reg_nostringquery

Optional Reg No

Maximum string length: 9
card_numberstringquery

Optional Card Number

This field supports the wildcard % operator.

Maximum string length: 40
from_datestringquery

Optional From Date

Pattern: ([0-9]{4})-(?:[0-9]{2})-([0-9]{2})
to_datestringquery

Optional From Date

Pattern: ([0-9]{4})-(?:[0-9]{2})-([0-9]{2})
status_flagenum<string>query

Optional Status Flag

Available options: active, batch, cancelled, deleted, history-only, posted, rejected, requested
approval_sub_status_idstringquery

Optional Approval Sub Status Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647
Time-Zonestringheaderdefault:UTC

Approvals will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1